1. Audio
The Delegation
  • Documentation
    • Getting started
    • TypeScript client
    • Python client
    • Go client
    • Operations and observability
  • AI Gateway
    • Chat
      • Create a chat completion
    • Embeddings
      • Create text embeddings
    • Audio
      • Transcribe audio with AWS Transcribe
        POST
      • Text-to-speech
        POST
    • Images
      • Generate images with Gemini
    • Models
      • List available models
      • Retrieve a model
    • Users
      • List all users
      • Create a user
      • Get a user
      • Delete a user
      • Get user usage and cost summary
    • Health
      • Liveness / readiness probe
      • Provider health check
      • Gateway info
    • Admin
      • Per-provider request metrics
      • List configured providers
    • Schemas
      • ContentPartText
      • ContentPartImageURL
      • ContentPartAudio
      • ContentPartVideo
      • ContentPartDocument
      • ContentPart
      • FunctionDef
      • Tool
      • ToolCall
      • ChatMessage
      • ChatRequest
      • Usage
      • Choice
      • ChatResponse
      • EmbeddingsRequest
      • EmbeddingObject
      • EmbeddingsResponse
      • TranscriptionResponse
      • TTSRequest
      • ImageGenerationRequest
      • ImageData
      • ImageGenerationResponse
      • ModelInfo
      • ModelList
      • UsageRecord
      • User
      • UserUsageSummary
      • ProviderHealth
      • HealthResponse
      • ProviderMetrics
      • MetricsResponse
      • ErrorDetail
      • ErrorResponse
  • Platform API
    • Projects
      • List projects
      • Create project
      • Get project
      • Update project
      • Delete project
    • Tasks
      • Create task
      • Get task
      • Update task
    • Conversations
      • Get conversation
      • Clear conversation
      • Send message
    • Keys
      • Gateway usage statistics
    • Account
      • Get account
      • Update account role
      • Delete account
    • Schemas
      • Error
      • ChatMessage
      • ToolDefinition
      • ToolCall
      • ChatCompletionRequest
      • ChatCompletionResponse
      • EmbeddingRequest
      • ImageGenRequest
      • Project
      • Task
      • Message
      • Conversation
      • UserFile
      • GatewayKey
      • User
      • UserBalance
      • AuthSession
      • Session
  • File Service
    • Files
      • List files
      • Upload file
      • Update file
      • Delete / trash file
      • Restore file from trash
    • Schemas
      • Error
      • ChatMessage
      • ToolDefinition
      • ToolCall
      • ChatCompletionRequest
      • ChatCompletionResponse
      • EmbeddingRequest
      • ImageGenRequest
      • Project
      • Task
      • Message
      • Conversation
      • UserFile
      • GatewayKey
      • User
      • UserBalance
      • AuthSession
      • Session
  1. Audio

Text-to-speech

POST
/v1/audio/speech
Synthesise speech from text using the OpenAI TTS API.
Returns raw audio bytes with the appropriate Content-Type header.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
audio/mpeg
Audio bytes
Headers

🟠400BadRequest
🟠401Unauthorized
🔴502ProviderError
🔴503Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/audio/speech' \
--header 'Content-Type: application/json' \
--data '{
    "provider": "bedrock",
    "model": "aws-polly",
    "input": "Hello from The Delegation",
    "voice": "Joanna",
    "response_format": "mp3"
}'
Response Response Example
400 - Example 1
{
    "error": {
        "message": "string",
        "type": "invalid_request_error",
        "code": "string",
        "request_id": "string"
    }
}
Modified at 2026-10-20 19:28:20
Previous
Transcribe audio with AWS Transcribe
Next
Generate images with Gemini
Built with